org.optaplanner.core.impl.score.stream.drools.tri

## Class DroolsTriCondition<A,B,C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition<DroolsTriRuleStructure<A,B,C>>
  - - org.optaplanner.core.impl.score.stream.drools.tri.DroolsTriCondition<A,B,C>

-     public final class DroolsTriCondition<A,B,C>
      extends DroolsCondition<DroolsTriRuleStructure<A,B,C>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `ruleStructure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsTriCondition(DroolsTriRuleStructure<A,B,C> ruleStructure)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsTriCondition<A,B,C>` | `andFilter(TriPredicate<A,B,C> predicate)`
    `<D> DroolsQuadCondition<A,B,C,D>` | `andJoin(DroolsUniCondition<D> dCondition, AbstractQuadJoiner<A,B,C,D> quadJoiner)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToIntTriFunction<A,B,C> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToLongTriFunction<A,B,C> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, TriFunction<A,B,C,BigDecimal> matchWeighter)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `getRuleStructure, impactScore, impactScore, impactScore, impactScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsTriCondition

          public DroolsTriCondition(DroolsTriRuleStructure<A,B,C> ruleStructure)

  - ### Method Detail

    - #### andFilter

          public DroolsTriCondition<A,B,C> andFilter(TriPredicate<A,B,C> predicate)

    - #### andJoin

          public <D> DroolsQuadCondition<A,B,C,D> andJoin(DroolsUniCondition<D> dCondition,
                                                          AbstractQuadJoiner<A,B,C,D> quadJoiner)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToIntTriFunction<A,B,C> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToLongTriFunction<A,B,C> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               TriFunction<A,B,C,BigDecimal> matchWeighter)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.